//+------------------------------------------------------------------+
//|                                                 N&P with Tim.mq4 |
//|                                                  Nick Lougovskoi |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Nick Lougovskoi"
#property link      "http://www.metaquotes.net"


//---Declaration--Flag Setting--- for Activation/Deactivation of pairs -----
//-------------------filter levels must be set for all pairs for code to be functional!---------(can go wide if no filter level is needed)
    
    
     // These parameters need to be external so that you can adjust them in the properties box
     // Nick. Don't initialise the filters with Ask. It will reinitialise the filter with the current value every time you start the EA.
     // Your specification (psuedo code) states that you will set these values manualy on a daily basis (or whenever).
     // TODO - fix up the rest of the parameter code in this section 
 
//+--------------------------------------------------------+
//|         EXTERNAL PARAMETERS                            |
//| can be set or adjusted by user in properties window    |
//+--------------------------------------------------------+    
     //EURUSD parameters
     extern bool      EUR_USD_BuyFlag   = true;    //Set to true to allow long trading for this currency pair
     extern bool      EUR_USD_SellFlag = true;     //Set to true to allow short trading for this currency pair
     extern double    EUR_USD_TopFilter_Ok;        //Set the value of TopFilterLevel manually on a daily basis for EURUSD
     extern double    EUR_USD_BotFilter_Ok;        //Set the value of BottomFilterLevel manually on a daily basis EURUSD
     
     

        
      bool      GBP_USD_BuyFlag   = true;  //true = active, false= deactivated for trading
      bool      GBP_USD_SellFlag  = true;  //true = active, false= deactivated for trading
    //  double    GBP_USD_TopFilter_Ok = Ask <=******;   //Set the value of TopFilterLevel manually on a daily basis for GBPUSD
    //  double    GBP_USD_BotFilter_Ok = Bid >= ****** ;   //Set the value of BottomFilterLevel manually on a daily basis GBPUSD
      
      bool      USD_JPY_BuyFlag   = true;  //true = active, false= deactivated for trading
      bool      USD_JPY_SellFlag  = true;  //true = active, false= deactivated for trading
    //  double    USD_JPY_TopFilter_Ok = Ask <=****** ;   //Set the value of TopFilterLevel manually on a daily basis for USDJPY
    //  double    USD_JPY_BotFilter_Ok = Bid >=****** ;   //Set the value of BottomFilterLevel manually on a daily basis USDJPY
      
      bool      USD_CHF_BuyFlag   = true;  //true = active, false= deactivated for trading
      bool      USD_CHF_SellFlag  = true;  //true = active, false= deactivated for trading
    //  double    USD_CHF_TopFilter_Ok = Ask <=****** ;   //Set the value of TopFilterLevel manually on a daily basis for USDCHF
    //  double    USD_CHF_BotFilter_Ok = Bid >=****** ;   //Set the value of BottomFilterLevel manually on a daily basis USDCHF
      
      bool      AUD_USD_BuyFlag   = true;  //true = active, false= deactivated for trading
      bool      AUD_USD_SellFlag  = true;  //true = active, false= deactivated for trading
     // double    AUD_USD_TopFilter_Ok = Ask <=*****;   //Set the value of TopFilterLevel manually on a daily basis for AUDUSD
    //  double    AUD_USD_BotFilter_Ok = Bid >=***** ;   //******Tim: what happens if there's nothing here, can I leave it blank at times?

  
extern double LotSize = 1.0 ;   // The default value is set to 1.0. The user can change it to whatever is required in the properties window.
extern bool DEBUG_ON = true;   // This turns on the debug comments for testing and problem solving

//+------------------------------------------------------------------+
//| Global Parameters  
//| These can be read or changed from anywhere in this program but   |
//| not by the user from the properties box
//+------------------------------------------------------------------+

int TakeProfitStopSize = 20;   // TakeProfit Stop In pips. This can be made external if the user needs to change it. 
        

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
   if (DEBUG_ON)
      Print("*** Debug *** init()");
//----
   return(0);
  } // End of INIT function
  

  
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+

int deinit()
  {
//----
   

   if (DEBUG_ON)
      Print("*** Debug *** deinit()");
 //----     
   return(0);
  } // End of DEINIT function
  
  
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+

int start()
  {
    
    
     //Check the Entry Rules block  to see if a BUY or SELL  condition exists for the allowed Currency Pairs 
    // Note how this statement "calls" the function written as a separate "block"
     EntryRules();

     //Check to see if  there is already  an open  BUY  position for this Currency Pair
     //Check to see if  there is already  an open SELL  position for this Currency Pair

     //If    there is no open BUY position  for this currency pair   AND
     //      a BUY condition exixts for this currency pair           AND
     //      the BuyFlag is set true for this currency pair
     //      THEN   
     //          Open a BUY Position  for this currency pair
	  //          USING  Last Ask Price, Pre-determined Lot size, Pre-Determined Profit Stop Amount

     //If    there is no open SELL position  for this currency pair   AND
     //      a SELL condition exixts for this currency pair           AND
     //      the SellFlag is set true for this currency pair
     //      THEN   
     //          Open a SELL Position  for this currency pair
	  //          USING  Last Bid Price, Pre-determined Lot size, Pre-Determined Profit Stop Amount


     if (DEBUG_ON)
         Print("*** Debug *** start()");

  } // End of START function

 
 
 void EntryRules()
 {  
                    
       //If   the 7 Period Exponential Moving Average is greater than the 14 Period Exponential Moving Average    AND
       //     the 14 Period Exponential Moving Average is greater than the  50 period Simple Moving Average       AND
       //     Current Price   is less than TopFilterLevel  
       //     THEN
       //          Signal a  BUY (Long) entry condition
		
      
       //If   the  7 Period Exponential Moving Average is less than 14 Period Exponential Moving Average  AND
       //     the 14 Period Exponential Moving Average is less than the 50 period Simple Moving Average     
       //     Current Price   is less than  BottomFilterLevel  THEN
       //     THEN
       //          Signal a  SELL (Short) entry condition

   if (DEBUG_ON)
      Print("*** Debug *** EntryRules()");
 }  // End of Entry Rules


 
   
//------If (works) = celebrate !--------------------------------------------- 
   

//+------------------------------------------------------------------+